RBL Projects - Feature #359

NOCPL Integration of PAN & Voter ID Validation APIs_Nominee Validation

11/25/2024 11:26 AM - Vijayakumar

Status: Closed Start date: 11/25/2024

Priority: High Due date: 12/30/2024

Assignee: Payodhi % Done: 0%
Estimated time: 0.00 hour
Spent time: 0.00 hour

Project categorizatio New

n:

Description

Dear Payodhi,

Request your approval for attached new BRD dcouments.

History

#1 - 11/25/2024 01:26 PM - Payodhi
- Status changed from New to Approved

- Assignee changed from Payodhi to Vijayakumar

Approved, Please proceed

#2 - 11/26/2024 11:26 AM - Vijayakumar
- Status changed from Approved to In Progress

- Assignee changed from Vijayakumar to Shiva_CIMS

Dear Shiva,

As per our conversation, please locate the Business Requirements Document (BRD) outlining the proposed modifications.

#3 - 12/04/2024 11:26 AM - Shiva_CIMS

Greetings,

As discussed, We have subscribed the PAN Verification APl under UAT. Kindly approve once. Details shared below.

Username : ananda.s@nocpl.in

Client ID : 76f8f339-72bf-4dc3-a0fe-14992e48fca3
LDAP User : ANANDASA

Product : Verification PAN API Product

#4 - 12/06/2024 12:16 PM - Vijayakumar
- Assignee changed from Vijayakumar to Shiva_CIMS

Dear Shiva,

Subscription has been approved.

#5 - 12/07/2024 04:16 PM - Vijayakumar

Dear Shiva,

Please find the Karza Keys that needs to be passed in the Header for Production.

Key — qzOsGLvogMHLcWd

Kindly note that the transaction id that is to be passed as part of Case ID for NOCPL needs to start with ‘NOC’ followed by a unique no.

Voter URL: https:/api.karza.in/v3/voter
#6 - 12/10/2024 12:16 PM - Vijayakumar

Dear Siva,
In addition to this, kindly find the advice from RBL team on the Transaction ID as below,
3 Alphabets + 12 Numerical values = 15 Digits
For eg:- NOC000000000001
#7 - 12/12/2024 02:16 PM - Shiva_CIMS
- File clipboard-202503030031-uykju.png added
- Assignee changed from Shiva_CIMS to Vijayakumar
Greetings,
kindly confirm is the given URL is UAT or Production for PAN Verification? Since we are getting Unathorized error.
Given url: "https://gateway.rblbank.com/prod/sb/rbl/api/v2/Pan/Verification"
We suspect it looks like a Production URL.
clipboard-202503030031-uykju.png
#8 - 12/13/2024 01:16 PM - Vijayakumar
- Assignee changed from Vijayakumar to Shiva_CIMS
Hi,

Please find the UAT Url below —
https://apideveloper.rblbank.com/test/sb/rbl/api/v2/verification/PAN

Kindly note that the Corp ID to be used is ‘BCMS’ and Nsdl User ID as ‘'V0127301".

#9 - 12/14/2024 12:16 PM - Shiva_CIMS

- File clipboard-202503031453-zprni.png added

- File clipboard-202503031453-r7kky.png added

- Assignee changed from Shiva_CIMS to Vijayakumar

Greetings,

We have check now and getting 2 kind of response in random basis.
Using the Baisc Authentication LDAP user of NOCPI UAT

LDAP User : ANANDASA

Mismatch in LDAP to Corpld
#10 - 12/19/2024 12:16 PM - Vijayakumar

- Assignee changed from Vijayakumar to Shiva_CIMS

Dear Siva,

In addition to this, kindly find the advice from RBL team on the Transaction ID as below,
3 Alphabets + 12 Numerical values = 15 Digits

For eg:- NOC000000000001

#11 - 12/23/2024 11:16 AM - Shiva_CIMS
- Assignee changed from Shiva_CIMS to Vijayakumar
Greetings,

Sir, requested update has been completed and same was on UAT.
Please check your end update the same.

Find the sample case we have did.

Request:

{

"consent": "Y",

"epicNo": "FJM3189602",
"clientData": {

"caseld": "NOC173556731880"
1

1

Response:

{
"requestld": "89d94310-ea85-4086-999a-93168d2d4bd5",

"result": {

"acNo": "37",

"rinName": "ramalingam",

"partNo": "65",

"nameV3": ",

"psLatLong": "12.8205853,79.6958392",

"stCode": "S22",

"id": ",

"pin": ",

"district": "Kancheepuram"”,

"rinNameV1": "u0b87u0bb0uObbeuObaeu0bb2u0bbfu0b99u0bcdu0b95udbaeulbed”,

"epicNo": "FJM3189602",

"state": "Tamil Nadu",

"sINolnPart": "146",

"sectionNo": "1",

"lastUpdate": ",

"rinNameV2": ",

"rinNameV3": ",

"acName": "Kancheepuram",

"psName": "Infant Jesus Matriculation Higher Secondary School, South Facing Room No.9, Sevilimedu-631502",
"houseNo": "",

"rinType": "F",

"pcName": "Kancheepuram”,

"name": "sivasankar",

"dob": ",

"gender": "M",

"age": 38,

"nameV2": ",

"nameV1": "u0b9auObbfuObb5u0b9au0b99u0bcdu0b95u0bbOulbed",

"partName": "Infant Jesus Matriculation Higher Secondary School, South Facing Room No.9, Sevilimedu-631502"
2
"statusCode": 101,
"clientData": {

"caseld": "NOC173556731880"
1

1

#12 - 12/26/2024 12:16 PM - Vijayakumar
- File Functional_TC_Integration of PAN & Voter ID Validation APIs..xlsx added
- Assignee changed from Vijayakumar to Shiva_CIMS

Dear sir,

We have checked, its working fine. Kindly move to production.

#13 - 12/27/2024 11:16 AM - Shiva_CIMS
- File Release_Document _Integration of PAN & Voter ID Validation APls.docx added
- Assignee changed from Shiva_CIMS to Vijayakumar

Greetings,

Same has been deployed in the production.

#14 - 12/27/2024 02:16 PM - Vijayakumar

- Status changed from In Progress to Closed

- Assignee changed from Vijayakumar to Payodhi
Dear Chandra/Payodhi,

For your information our new requirement has been done

Files

BRD_NOCPL Integration of PAN & Voter ID Validation APls.docx 53.1 KB 11/25/2024 Vijayakumar
Pan API Specification document 1.0.docx 29.3 KB 11/25/2024 Vijayakumar
108540.txt 1.49 KB 12/04/2024 Vijayakumar
clipboard-202503030031-uykju.png 91.3 KB 12/12/2024 Shiva_CIMS
clipboard-202503031453-zprni.png 89.5 KB 12/14/2024 Shiva_CIMS
clipboard-202503031453-r7kky.png 88 KB 12/14/2024 Shiva_CIMS
Functional_TC_Integration of PAN & Voter ID Validation APIs..xlsx  23.2 KB 12/26/2024 Vijayakumar
Release_Document_Integration of PAN & Voter ID Validation APIs.doc39.2 KB 12/27/2024 Shiva_CIMS
